from PIL import Image, ImageFilter

with Image.open("data/strawberry.jpg") as img:
    img.load()

    img1 = img.filter(ImageFilter.BoxBlur(3))
    img1 = img.filter(ImageFilter.BoxBlur(5))
    img1 = img.filter(ImageFilter.BoxBlur(15))
    #img1.show()

    img2 = img.filter(ImageFilter.GaussianBlur(15))
    #img2.show()
    
    img3 = img.filter(ImageFilter.DETAIL)
    #img3.show()

    img4 = img.filter(ImageFilter.SHARPEN)
    #img4.show()

    # Da li je moguce sliku zamutiti, pa izostriti?
    img1 = img.filter(ImageFilter.GaussianBlur(3))
    img2 = img1.filter(ImageFilter.SHARPEN)
    #img2.show()


# Zadatak: pogoditi tip transformacije u zavisnosti od kernela koji se koristi:
with Image.open("data/yugo.jpg") as img:
    img.show()
    
    img1 = img.filter(ImageFilter.Kernel((3, 3), [1, 2, 1,
                                                 2, 12, 2,
                                                 1, 2, 1]))
    img1.show()

    # Dobili smo zamuceniju sliku.
    # Sta se desava kada centralni pixel 12 -> 6?

    img2 = img.filter(ImageFilter.Kernel((3, 3), [1, 2, 1,
                                                 2, 6, 2,
                                                 1, 2, 1]))
    img2.show()
    # Odogovor: vece zamucenje

    # Sta je rezultat sledece transformacije?
    img3 = img.filter(ImageFilter.Kernel((3, 3), [-1, -2, -1,
                                                  -2, 50, -2,
                                                  -1, -2, -1]))
    img3.show()
    
