from PIL import Image
from matplotlib import pyplot as plt

with Image.open("data/yugo.jpg") as img:
    img.load()
    img.show()

    # histogram boja - sto je boja dominantnija na slici
    # ocekujemo da je histogram vise "desno orijentisan"
    # (vise piksela sa vecim vrednostima npr 200+).
    h = img.histogram()
    print(h)
    print(type(h))
    print(len(h))

    # red
    plt.bar(range(0, 256), h[0:256], color='#FF0000')
    plt.show()

    # green
    plt.bar(range(0, 256), h[256:512], color='#00FF00')
    plt.show()
    
    # Razlika izmedju green i red histograma:
    # "manje ima zelene boje na slici"

    # blue
    plt.bar(range(0, 256), h[512:768], color='#0000FF')
    plt.show()
