from PIL import Image, ImageChops

with Image.open("data/jagoda_002.jpg") as imgj, Image.open("data/muva_002.jpg") as imgm:
    imgj.load()
    imgm.load()

    imgj.show()
    imgm.show()

    # 0 - jagoda, 1 - muva, ostalo - izmedju
    img1 = ImageChops.blend(imgj, imgm, 0)
    img1.show()

    img2 = ImageChops.darker(imgj, imgm)
    img2.show()

    img3 = ImageChops.lighter(imgj, imgm)
    img3.show()

    img4 = ImageChops.difference(imgj, imgm)
    img4.show()
    print(img4)

    pixels = img4.load()
    for i in range(200):
        for j in range(200):
            print("i={}, j={}, pixels[{}, {}]={}".format(i, j, i, j, pixels[i, j]))

    img5 = ImageChops.add(imgj, imgm)
    img5.show()
