from PIL import Image

# Lokalna transformacija, pixel po pixel menjamo sliku
# i ekstrahujemo crveni kanal (maskiramo druga dva kanala).

with Image.open("data/yugo.jpg") as img:

    print(type(img))
    print(img.width)
    print(img.height)

    pixels = img.load()
    print(type(pixels))

    for i in range(img.width):
        for j in range(img.height):

            print("i={}, j={}, pixels[{}, {}]={}".format(i, j, i, j, pixels[i, j]))
            r, g, b = pixels[i, j]
            pixels[i, j] = (r, 0, 0)

    img.show()

    
